stack_wallet/scripts/linux/build_secure_storage_deps.sh

38 lines
1.1 KiB
Bash
Raw Normal View History

2022-08-31 16:27:46 +00:00
#!/bin/bash
LINUX_DIRECTORY=$(pwd)
mkdir -p build
2022-08-31 16:27:46 +00:00
# Build JsonCPP
cd build || exit
if ! [ -x "$(command -v git)" ]; then
echo 'Error: git is not installed.' >&2
exit 1
fi
git -C jsoncpp pull || git clone https://github.com/open-source-parsers/jsoncpp.git jsoncpp
cd jsoncpp || exit
2022-09-01 08:51:06 +00:00
git checkout 1.7.4
mkdir -p build
cd build || exit
2022-09-01 04:29:33 +00:00
cmake -DCMAKE_BUILD_TYPE=release -DBUILD_STATIC_LIBS=ON -DBUILD_SHARED_LIBS=ON -DARCHIVE_INSTALL_DIR=. -G "Unix Makefiles" ..
make -j"$(nproc)"
2022-08-31 16:27:46 +00:00
cd "$LINUX_DIRECTORY" || exit
2022-08-31 16:27:46 +00:00
# Build libSecret
2022-09-01 04:29:33 +00:00
# sudo apt install meson libgirepository1.0-dev valac xsltproc gi-docgen docbook-xsl
2022-09-01 08:51:06 +00:00
# sudo apt install python3-pip
#pip3 install --user meson markdown tomli --upgrade
2022-08-31 16:27:46 +00:00
# pip3 install --user gi-docgen
cd build || exit
git -C libsecret pull || git clone https://gitlab.gnome.org/GNOME/libsecret.git libsecret
cd libsecret || exit
if ! [ -x "$(command -v meson)" ]; then
echo 'Error: meson is not installed.' >&2
exit 1
fi
2022-08-31 16:27:46 +00:00
meson _build
if ! [ -x "$(command -v ninja)" ]; then
echo 'Error: ninja is not installed.' >&2
exit 1
fi
2022-08-31 16:27:46 +00:00
ninja -C _build